Get A Conversation
curl --request GET \
--url https://v2.okchat.ai/api/external/chatbot/{chatbotId}/conversations/{sessionId} \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://v2.okchat.ai/api/external/chatbot/{chatbotId}/conversations/{sessionId}"
headers = {"Content-Type": "application/json"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Content-Type': 'application/json'}};
fetch('https://v2.okchat.ai/api/external/chatbot/{chatbotId}/conversations/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"active": true,
"chatbot_id": "5afe16ed-5fd2-4552-a993-903bc9c32bb6",
"created_at": "2025-01-22T10:21:17.313285+00:00",
"id": "7a04ca3c-4ea8-44f5-b14d-f61bec64ea14",
"is_human_mode": false,
"last_message": "Tell me about the history of the internet.",
"metadata": {
"anonymous": true
},
"migrated_data": false,
"platform": "web",
"session_token": null,
"sns_user_id": "sessionToken789",
"updated_at": "2025-01-22T10:24:54.750912+00:00",
"user_id": null,
"voice_path": null
}
}API Reference
Get A Conversation
Get A Conversation
GET
/
api
/
external
/
chatbot
/
{chatbotId}
/
conversations
/
{sessionId}
Get A Conversation
Headers
Example:
"15a23c21867f4f38b0b46f5e4adb1caf87a040b34eb58f68"
Path Parameters
Example:
"5afe16ed-5fd2-4552-a993-903bc9c32bb6"
Example:
"7a04ca3c-4ea8-44f5-b14d-f61bec64ea14"
Response
200 - application/json
Example
Show child attributes
Show child attributes